Skip to content
Navigation

Fast track and security lane offers for an airport

Paid and free fast-track options at the airport, with booking links and verification dates.

Access: Any valid API key.

GET
https://flightqueue.com/api/v1/airports/{iata}/fast-track

Authorization

  • BearerAuth
    optional
    HTTP
  • ApiKeyAuth
    optional
    API key in header

Path parameters

  • iata
    string
    required

    Three-letter IATA airport code.

    pattern: ^[A-Za-z]{3}$

Returns

200

Success

JSON
  • success
    boolean
    required
  • data
    object
    required
    • airportCode
      string
      required

      Three-letter IATA airport code, upper case.

      pattern: ^[A-Z]{3}$
    • offers
      array of
      object
      required
      • provider
        string
        required
      • type
        pass
        or
        membership
        or
        airline_perk
        or
        card_perk
        required
      • name
        string
        required
      • terminal
        string | null
        required
      • price
        number | null
        required
      • currency
        string | null
        required
      • details
        string | null
        required
      • bookingUrl
        string
        required
      • sourceUrl
        string
        required
      • isAffiliate
        boolean
        required
      • status
        active
        or
        stale
        or
        dead
        required
      • lastVerifiedAt
        required

        Any of the following:

        • string
          ISO 8601 timestamp in UTC.
        • null
  • meta
    object
    required
    • requestId
      string
      required

      Unique ID for this request. Quote it when you contact support.

      format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
    • timestamp
      string
      required

      ISO 8601 timestamp in UTC.

      format: date-time · pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$

401

Unauthorized
JSON
  • success
    boolean
    required
  • error
    object
    required
    • code
      MISSING_API_KEY
      or
      INVALID_API_KEY
      or
      RATE_LIMIT_EXCEEDED
      or
      PREMIUM_REQUIRED
      or
      ENTERPRISE_REQUIRED
      or
      INVALID_AIRPORT
      +5 more
      required

      Machine-readable error code.

    • message
      string
      required

      Human-readable explanation.

429

Too many requests
JSON
  • success
    boolean
    required
  • error
    object
    required
    • code
      MISSING_API_KEY
      or
      INVALID_API_KEY
      or
      RATE_LIMIT_EXCEEDED
      or
      PREMIUM_REQUIRED
      or
      ENTERPRISE_REQUIRED
      or
      INVALID_AIRPORT
      +5 more
      required

      Machine-readable error code.

    • message
      string
      required

      Human-readable explanation.

500

Server error
JSON
  • success
    boolean
    required
  • error
    object
    required
    • code
      MISSING_API_KEY
      or
      INVALID_API_KEY
      or
      RATE_LIMIT_EXCEEDED
      or
      PREMIUM_REQUIRED
      or
      ENTERPRISE_REQUIRED
      or
      INVALID_AIRPORT
      +5 more
      required

      Machine-readable error code.

    • message
      string
      required

      Human-readable explanation.

Type to search…

↑↓ navigate↵ selectEsc close